CompiledClass (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.codeAnalysis.decode

## Class CompiledClass

- java.lang.Object
- - org.apache.geode.codeAnalysis.decode.CompiledClass

- All Implemented Interfaces:
    java.lang.Comparable

      public class CompiledClass
      extends java.lang.Object
      implements java.lang.Comparable

  Decoder represents a jdk ClassFile header

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `access_flags`
    `CompiledAttribute[]` | `attributes`
    `int` | `attributes_count`
    `Cp[]` | `constant_pool`
    `int` | `constant_pool_count`
    `CompiledField[]` | `fields`
    `int` | `fields_count`
    `int[]` | `interfaces`
    `int` | `interfaces_count`
    `long` | `magic`
    `int` | `major_version`
    `CompiledMethod[]` | `methods`
    `int` | `methods_count`
    `int` | `minor_version`
    `int` | `super_class`
    `int` | `this_class`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledClass(java.io.DataInputStream source)` read a ClassFile structure from the given input source (usually a file)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object other)`
    `java.lang.String` | `fullyQualifiedName()`
    `static CompiledClass` | `getInstance(java.io.File classFile)`
    `static CompiledClass` | `getInstance(java.io.InputStream classStream)`
    `boolean` | `isInterface()`
    `boolean` | `isSerializableAndNotDataSerializable()`
    `static void` | `main(java.lang.String[] argv)`
    `java.lang.String` | `superClassName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### magic

          public long magic

    - #### minor_version

          public int minor_version

    - #### major_version

          public int major_version

    - #### constant_pool_count

          public int constant_pool_count

    - #### constant_pool

          public Cp[] constant_pool

    - #### access_flags

          public int access_flags

    - #### this_class

          public int this_class

    - #### super_class

          public int super_class

    - #### interfaces_count

          public int interfaces_count

    - #### interfaces

          public int[] interfaces

    - #### fields_count

          public int fields_count

    - #### fields

          public CompiledField[] fields

    - #### methods_count

          public int methods_count

    - #### methods

          public CompiledMethod[] methods

    - #### attributes_count

          public int attributes_count

    - #### attributes

          public CompiledAttribute[] attributes

  - ### Constructor Detail

    - #### CompiledClass

          public CompiledClass(java.io.DataInputStream source)
                        throws java.io.IOException

      read a ClassFile structure from the given input source (usually a file)
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getInstance

          public static CompiledClass getInstance(java.io.File classFile)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getInstance

          public static CompiledClass getInstance(java.io.InputStream classStream)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isInterface

          public boolean isInterface()

    - #### isSerializableAndNotDataSerializable

          public boolean isSerializableAndNotDataSerializable()

    - #### fullyQualifiedName

          public java.lang.String fullyQualifiedName()

    - #### superClassName

          public java.lang.String superClassName()

    - #### compareTo

          public int compareTo(java.lang.Object other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### main

          public static void main(java.lang.String[] argv)